Skip to main content

Get a personal question

GET 

/nevisidm/api/core/v1/:clientExtId/personal-questions/:extId

Since: 2.79.0

Required permission(s): AccessControl.PersonalQuestionView,AccessControl.CredentialView

Returns the personal question with the given external ID belonging to the specified client.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the personal question.

    Example: pq-123

Responses

Personal question retrieved successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the personal question.

    clientExtId string

    The external ID of the client to which the personal question belongs.

    description string

    The textual description of the personal question.

    stateName string

    Possible values: [active, disabled, revoked]

    The lifecycle state of the personal question.

    displayName object

    Language-dependent display name of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
    content object

    Language-dependent question text of the personal question. Keys are language codes (EN, DE, FR, IT).

    property name* string
Loading...